%global srcname parso

Summary:        Parser that supports error recovery and round-trip parsing
Name:           python-%{srcname}
Version:        0.8.3
Release:        5%{?dist}
License:        MIT and Python
Source0:        %pypi_source
URL:            https://github.com/davidhalter/parso
BuildArch:      noarch


%description
Parso is a Python parser that supports error recovery and round-trip parsing
for different Python versions (in multiple Python versions). Parso is also able
to list multiple syntax errors in your python file.  Parso has been
battle-tested by jedi. It was pulled out of jedi to be useful for other
projects as well.  Parso consists of a small API to parse Python and analyse
the syntax tree.


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel


%description -n python3-%{srcname}
Parso is a Python parser that supports error recovery and round-trip parsing
for different Python versions (in multiple Python versions). Parso is also able
to list multiple syntax errors in your python file.  Parso has been
battle-tested by jedi. It was pulled out of jedi to be useful for other
projects as well.  Parso consists of a small API to parse Python and analyse
the syntax tree.


%prep
%autosetup -n %{srcname}-%{version}

sed -e 's/pytest<6.0.0/pytest/' -i setup.py
sed -e '/^addopts/d' -i pytest.ini


%generate_buildrequires
%pyproject_buildrequires -x testing


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pytest --verbose -k "not test_python_exception_matches"


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 cunshunxia <cunshunxia@tencent.com> - 0.8.3-1
- initial build
